Package de.gebit.integrity.services

## Class DSLGrammarAccess.SuiteElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.SuiteElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.SuiteElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuiteElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Keyword` | `getCommaKeyword_9_2_1()` |
    `org.eclipse.xtext.Assignment` | `getDefinitionAssignment_4()` |
    `org.eclipse.xtext.CrossReference` | `getDefinitionSuiteDefinitionCrossReference_4_0()` |
    `org.eclipse.xtext.RuleCall` | `getDefinitionSuiteDefinitionQualifiedNameParserRuleCall_4_0_1()` |
    `org.eclipse.xtext.Assignment` | `getForkAssignment_8_2()` |
    `org.eclipse.xtext.CrossReference` | `getForkForkDefinitionCrossReference_8_2_0()` |
    `org.eclipse.xtext.RuleCall` | `getForkForkDefinitionQualifiedNameParserRuleCall_8_2_0_1()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_3()` |
    `org.eclipse.xtext.Group` | `getGroup_6()` |
    `org.eclipse.xtext.Group` | `getGroup_7()` |
    `org.eclipse.xtext.Group` | `getGroup_8()` |
    `org.eclipse.xtext.Group` | `getGroup_9()` |
    `org.eclipse.xtext.Group` | `getGroup_9_2()` |
    `org.eclipse.xtext.Keyword` | `getInKeyword_9_0()` |
    `org.eclipse.xtext.Assignment` | `getInlinedAssignment_0()` |
    `org.eclipse.xtext.Keyword` | `getInlinedInlinedKeyword_0_0()` |
    `org.eclipse.xtext.Assignment` | `getMultiplierAssignment_3_0()` |
    `org.eclipse.xtext.RuleCall` | `getMultiplierExecutionMultiplierParserRuleCall_3_0_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_2()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_3_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_5()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_6_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_7_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_8_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_8_3()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_9_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_9_2_2()` |
    `org.eclipse.xtext.Keyword` | `getOnKeyword_8_0()` |
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_6_0()` |
    `org.eclipse.xtext.RuleCall` | `getParametersSuiteParameterParserRuleCall_6_0_0()` |
    `org.eclipse.xtext.Assignment` | `getReturnAssignment_7_0()` |
    `org.eclipse.xtext.RuleCall` | `getReturnSuiteReturnParserRuleCall_7_0_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Keyword` | `getSuiteKeyword_1()` |
    `org.eclipse.xtext.Assignment` | `getVariantsAssignment_9_2_0()` |
    `org.eclipse.xtext.CrossReference` | `getVariantsVariantDefinitionCrossReference_9_2_0_0()` |
    `org.eclipse.xtext.RuleCall` | `getVariantsVariantDefinitionQualifiedNameParserRuleCall_9_2_0_0_1()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuiteElements

          public SuiteElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getInlinedAssignment_0

          public org.eclipse.xtext.Assignment getInlinedAssignment_0()

    - #### getInlinedInlinedKeyword_0_0

          public org.eclipse.xtext.Keyword getInlinedInlinedKeyword_0_0()

    - #### getSuiteKeyword_1

          public org.eclipse.xtext.Keyword getSuiteKeyword_1()

    - #### getNLParserRuleCall_2

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_2()

    - #### getGroup_3

          public org.eclipse.xtext.Group getGroup_3()

    - #### getMultiplierAssignment_3_0

          public org.eclipse.xtext.Assignment getMultiplierAssignment_3_0()

    - #### getMultiplierExecutionMultiplierParserRuleCall_3_0_0

          public org.eclipse.xtext.RuleCall getMultiplierExecutionMultiplierParserRuleCall_3_0_0()

    - #### getNLParserRuleCall_3_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_3_1()

    - #### getDefinitionAssignment_4

          public org.eclipse.xtext.Assignment getDefinitionAssignment_4()

    - #### getDefinitionSuiteDefinitionCrossReference_4_0

          public org.eclipse.xtext.CrossReference getDefinitionSuiteDefinitionCrossReference_4_0()

    - #### getDefinitionSuiteDefinitionQualifiedNameParserRuleCall_4_0_1

          public org.eclipse.xtext.RuleCall getDefinitionSuiteDefinitionQualifiedNameParserRuleCall_4_0_1()

    - #### getNLParserRuleCall_5

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_5()

    - #### getGroup_6

          public org.eclipse.xtext.Group getGroup_6()

    - #### getParametersAssignment_6_0

          public org.eclipse.xtext.Assignment getParametersAssignment_6_0()

    - #### getParametersSuiteParameterParserRuleCall_6_0_0

          public org.eclipse.xtext.RuleCall getParametersSuiteParameterParserRuleCall_6_0_0()

    - #### getNLParserRuleCall_6_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_6_1()

    - #### getGroup_7

          public org.eclipse.xtext.Group getGroup_7()

    - #### getReturnAssignment_7_0

          public org.eclipse.xtext.Assignment getReturnAssignment_7_0()

    - #### getReturnSuiteReturnParserRuleCall_7_0_0

          public org.eclipse.xtext.RuleCall getReturnSuiteReturnParserRuleCall_7_0_0()

    - #### getNLParserRuleCall_7_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_7_1()

    - #### getGroup_8

          public org.eclipse.xtext.Group getGroup_8()

    - #### getOnKeyword_8_0

          public org.eclipse.xtext.Keyword getOnKeyword_8_0()

    - #### getNLParserRuleCall_8_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_8_1()

    - #### getForkAssignment_8_2

          public org.eclipse.xtext.Assignment getForkAssignment_8_2()

    - #### getForkForkDefinitionCrossReference_8_2_0

          public org.eclipse.xtext.CrossReference getForkForkDefinitionCrossReference_8_2_0()

    - #### getForkForkDefinitionQualifiedNameParserRuleCall_8_2_0_1

          public org.eclipse.xtext.RuleCall getForkForkDefinitionQualifiedNameParserRuleCall_8_2_0_1()

    - #### getNLParserRuleCall_8_3

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_8_3()

    - #### getGroup_9

          public org.eclipse.xtext.Group getGroup_9()

    - #### getInKeyword_9_0

          public org.eclipse.xtext.Keyword getInKeyword_9_0()

    - #### getNLParserRuleCall_9_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_9_1()

    - #### getGroup_9_2

          public org.eclipse.xtext.Group getGroup_9_2()

    - #### getVariantsAssignment_9_2_0

          public org.eclipse.xtext.Assignment getVariantsAssignment_9_2_0()

    - #### getVariantsVariantDefinitionCrossReference_9_2_0_0

          public org.eclipse.xtext.CrossReference getVariantsVariantDefinitionCrossReference_9_2_0_0()

    - #### getVariantsVariantDefinitionQualifiedNameParserRuleCall_9_2_0_0_1

          public org.eclipse.xtext.RuleCall getVariantsVariantDefinitionQualifiedNameParserRuleCall_9_2_0_0_1()

    - #### getCommaKeyword_9_2_1

          public org.eclipse.xtext.Keyword getCommaKeyword_9_2_1()

    - #### getNLParserRuleCall_9_2_2

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_9_2_2()